Package Details: rstudio-desktop-bin 1.2.1335-1

Git Clone URL: https://aur.archlinux.org/rstudio-desktop-bin.git (read-only)
Package Base: rstudio-desktop-bin
Description: An integrated development environment (IDE) for R (binary from RStudio official repository)
Upstream URL: http://www.rstudio.org/
Licenses: GPL
Conflicts: rstudio-desktop, rstudio-desktop-git, rstudio-desktop-preview-bin
Provides: rstudio-desktop=1.2.1335
Submitter: Meow
Maintainer: Meow
Last Packager: Meow
Votes: 264
Popularity: 3.638577
First Submitted: 2011-06-16 16:26
Last Updated: 2019-04-24 17:09

Latest Comments

« First ‹ Previous ... 3 4 5 6 7 8 9 10 11 12 13 ... Next › Last »

tscs37 commented on 2016-10-05 08:28

When GrSec Kernel patches are installed, the binary crashes with a segfault.

Setting the "emr" flags via setfattr of the user.pax.flags flag will fix this.

greenisagoodcolo commented on 2016-09-29 17:39

Hello,

I'm running plasma and not seeing a system menu bar above the rstudio program. This means I cannot minimize or move the window. V. inconvient...Can any suggest a reason why? Kwin stuff? compositor? That's starting to get above my paygrade and I am struggling.

love,
greenisagoodcolor

xduugu commented on 2016-08-02 13:41

The .install file is not required anymore (pacman hooks) and pandoc and pandoc-citeproc seem to be optional dependencies, at least I use rstudio several month now without them.

For that have Qt configured to use the style from Gtk:
You have to use the old value for this package, because it still uses Qt 5.4 and the value changed from "GTK+" to "gtk2" in Qt 5.7. I added the following line to /usr/bin/rstudio-bin to fix the style in rstudio:

[[ $QT_STYLE_OVERRIDE == "gtk2" ]] && export QT_STYLE_OVERRIDE=GTK+

xgdgsc commented on 2016-05-29 08:46

Please add some co maintainers if you don' t have enough time.

hopimet commented on 2016-05-28 16:08

@davvelsan

Thank you. I'm happy that it works on x64 system. It works fine also on my x32 system.
Maybe these modifications could be adopted by the maintainer?

davvelsan commented on 2016-05-28 09:38

@hopimet,

Your PKGBUILD installs fine on my x64 system.

Thank you for writing it!

hopimet commented on 2016-05-27 18:26

@davvelsan,

I am not familiar with PKGBUILD, I never done that. But I tried. Here is a proposal that should work for x32. I think this can be easily adpated for x64.

I have added:
- clang dependency
- line 60 (mkdir -p "$pkgdir/usr/lib/rstudio/bin/rsclang")
- comment for line 63 (#patchelf --set-rpath '$ORIGIN/..' libclang.so) [I think there is no need to patch if clang is installed. It works fine for x32 version)

That's all!
http://pastebin.com/TxnsRNvF

Thanks in advance for your comments and your help. Maybe Meow will have other ideas.

davvelsan commented on 2016-05-27 13:51

@hopimet,

I only modified the version number and related md5 hashes in the PKGBUILD, since the x64 version installs fine and I can only test that.

You seem to be familiar with the x32 issues. Maybe you could write a modified PKGBUILD with those changes, and test that it works? I'm guessing clang could be added as a dependency, too. I'm willing to check that your build changes do not interfere with the x64 install, if necessary.

Other than that, I guess it's up to the maintainer to update the package.

hopimet commented on 2016-05-26 15:19

The difference between the 32 and the 64 bits deb still persists and the libclang.so remains absent from the 32 bit deb (i don't know why).

The workaround I gave below works fine but it is necessary to repeat the procedure at each update.

Is there a way to contact the rstudio developers to inform them of the problem?

davvelsan commented on 2016-05-26 12:00

0.99.902 PKGBUILD
http://pastebin.com/VXFjXxbF